javax.batch.api.chunk.listener

## Interface ItemProcessListener

- All Known Implementing Classes:
    AbstractItemProcessListener

      public interface ItemProcessListener

  ItemProcessListener intercepts item processing.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `afterProcess(Object item, Object result)` The afterProcess method receives control after an item processor processes an item.
    `void` | `beforeProcess(Object item)` The beforeProcess method receives control before an item processor is called to process the next item.
    `void` | `onProcessError(Object item, Exception ex)` The afterProcess method receives control after an item processor processes an item.

- - ### Method Detail

    - #### beforeProcess

          void beforeProcess(Object item)
                             throws Exception

      The beforeProcess method receives control before an item processor is called to process the next item. The method receives the item to be processed as an input.
      Parameters:
        `item` - specifies the item about to be processed.
      Throws:
        `Exception` - if an error occurs.

    - #### afterProcess

          void afterProcess(Object item,
                          Object result)
                            throws Exception

      The afterProcess method receives control after an item processor processes an item. The method receives the item processed and the result item as an input.
      Parameters:
        `item` - specifies the item about to be processed.
        `result` - specifies the item to pass to the item writer.
      Throws:
        `Exception` - if an error occurs.

    - #### onProcessError

          void onProcessError(Object item,
                            Exception ex)
                              throws Exception

      The afterProcess method receives control after an item processor processes an item. The method receives the item processed and the result item as an input.
      Parameters:
        `item` - specifies the item about to be processed.
        `ex` - specifies the exception thrown by the item processor.
      Throws:
        `Exception`

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.